Webhooks API
Webhook registration and delivery
REST API endpoints for Webhooks. 2 operations.
List webhooks
plaintext
GET /api/v1/tenants/{tenant_id}/webhooksReturns the registered webhook endpoints for a tenant.
Auth: Bearer API key
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
tenant_id | path | string | Yes | Tenant id (UUID) |
Responses
| Status | Description |
|---|---|
200 | Webhook list |
401 | Missing or invalid API key |
500 | Internal error |
operationId: listWebhooks
Register a webhook
plaintext
POST /api/v1/tenants/{tenant_id}/webhooksRegisters a webhook endpoint for a set of event types.
Auth: Bearer API key
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
tenant_id | path | string | Yes | Tenant id (UUID) |
Request body
application/json (required) — schema WebhookRequest.
Responses
| Status | Description |
|---|---|
201 | Webhook registered |
401 | Missing or invalid API key |
500 | Internal error |
operationId: registerWebhook